## org.jfree.report.modules.factories.data.sql
Class ConnectionReadHandlerFactory

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory
          org.jfree.report.modules.factories.data.sql.ConnectionReadHandlerFactory

    public class ConnectionReadHandlerFactory

extends org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory

Creation-Date: Dec 17, 2006, 8:58:11 PM

Author:
  Thomas Morgner

Constructor Summary
`ConnectionReadHandlerFactory()`

Method Summary
`static ConnectionReadHandlerFactory` `getInstance()`
`protected java.lang.Class` `getTargetClass()`

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory
`configure, getHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionReadHandlerFactory

    public ConnectionReadHandlerFactory()

Method Detail

### getTargetClass

    protected java.lang.Class getTargetClass()

  Specified by:
    `getTargetClass` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory`

### getInstance

    public static ConnectionReadHandlerFactory getInstance()